<?php
function expert_construction_company_post_setting( $wp_customize ) {
$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	$wp_customize->add_panel(
		'expert_construction_company_post', array(
			'priority' => 31,
			'title' => esc_html__( 'Post Options', 'expert-construction-company' ),
		)
	);

	/*=========================================
	Archive Post  Section
	=========================================*/
	$wp_customize->add_section(
		'expert_construction_company_archive_post_setting', array(
			'title' => esc_html__( 'Archive Post', 'expert-construction-company' ),
			'priority' => 1,
			'panel' => 'expert_construction_company_post',
		)
	);

	// Layouts Post
	$wp_customize->add_setting('expert_construction_company_blog_layout_option_setting',array(
	  'default' => 'Default',
	  'sanitize_callback' => 'expert_construction_company_sanitize_choices'
	));
	$wp_customize->add_control(new Expert_Construction_Company_Image_Radio_Control($wp_customize, 'expert_construction_company_blog_layout_option_setting', array(
	  'type' => 'select',
	  'label' => __('Blog Post Layouts','expert-construction-company'),
	  'section' => 'expert_construction_company_archive_post_setting',
	  'choices' => array(
		'Default' => esc_url(get_template_directory_uri()).'/assets/images/layout-1.png',
		'Left' => esc_url(get_template_directory_uri()).'/assets/images/layout-2.png',
		'Right' => esc_url(get_template_directory_uri()).'/assets/images/layout-3.png',
	))));
		
	// Post Heading Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_post_heading_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
		'expert_construction_company_post_heading_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Heading', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_archive_post_setting',
			'settings'    => 'expert_construction_company_post_heading_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Content Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_post_content_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_post_content_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Content', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_archive_post_setting',
			'settings'    => 'expert_construction_company_post_content_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Featured Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_post_featured_image_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_post_featured_image_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Feature Image', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_archive_post_setting',
			'settings'    => 'expert_construction_company_post_featured_image_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_post_date_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_post_date_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Date', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_archive_post_setting',
			'settings'    => 'expert_construction_company_post_date_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_post_comments_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_post_comments_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Comment', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_archive_post_setting',
			'settings'    => 'expert_construction_company_post_comments_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_post_author_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_post_author_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Author', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_archive_post_setting',
			'settings'    => 'expert_construction_company_post_author_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Timing Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_post_timing_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_post_timing_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Timings', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_archive_post_setting',
			'settings'    => 'expert_construction_company_post_timing_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Tags Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_post_tags_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_post_tags_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Tags', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_archive_post_setting',
			'settings'    => 'expert_construction_company_post_tags_settings',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting('expert_construction_company_excerpt_limit', array(
        'default'           => 50,
        'sanitize_callback' => 'absint',
    ));

    $wp_customize->add_control('expert_construction_company_excerpt_limit', array(
        'label'   => __('Excerpt Word Limit', 'expert-construction-company'),
        'section' => 'expert_construction_company_archive_post_setting',
        'type'    => 'number',
    ));

	$wp_customize->add_setting( 'expert_construction_company_upgrade_page_settings_133',
	array(
		'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Expert_Construction_Company_Control_Upgrade(
		$wp_customize, 'expert_construction_company_upgrade_page_settings_133',
			array(
				'priority'      => 200,
				'section'       => 'expert_construction_company_archive_post_setting',
				'settings'      => 'expert_construction_company_upgrade_page_settings_133',
				'label'         => __( 'Expert Construction Company Pro comes with additional features.', 'expert-construction-company' ),
				'choices'       => array( __( '15+ Ready-Made Sections', 'expert-construction-company' ), __( 'One-Click Demo Import', 'expert-construction-company' ), __( 'WooCommerce Integrated', 'expert-construction-company' ), __( 'Drag & Drop Section Reordering', 'expert-construction-company' ),__( 'Advanced Typography Control', 'expert-construction-company' ),__( 'Intuitive Customization Options', 'expert-construction-company' ),__( '24/7 Support', 'expert-construction-company' ), )
			)
		)
	); 

	/*=========================================
	Single Post  Section
	=========================================*/
	$wp_customize->add_section(
		'expert_construction_company_single_post', array(
			'title' => esc_html__( 'Single Post', 'expert-construction-company' ),
			'priority' => 3,
			'panel' => 'expert_construction_company_post',
		)
	);
	
	// Post Heading Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_single_post_heading_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_single_post_heading_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Heading', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_single_post',
			'settings'    => 'expert_construction_company_single_post_heading_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Content Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_single_post_content_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_single_post_content_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Content', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_single_post',
			'settings'    => 'expert_construction_company_single_post_content_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Featured Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_single_post_featured_image_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_single_post_featured_image_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Feature Image', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_single_post',
			'settings'    => 'expert_construction_company_single_post_featured_image_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_single_post_date_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_single_post_date_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Date', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_single_post',
			'settings'    => 'expert_construction_company_single_post_date_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_single_post_comments_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_single_post_comments_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Comment', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_single_post',
			'settings'    => 'expert_construction_company_single_post_comments_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_single_post_author_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_single_post_author_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Author', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_single_post',
			'settings'    => 'expert_construction_company_single_post_author_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Date Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_single_post_timing_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_single_post_timing_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Timings', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_single_post',
			'settings'    => 'expert_construction_company_single_post_timing_settings',
			'type'        => 'checkbox'
		) 
	);

	// Post Tags Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_single_post_tags_settings' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_single_post_tags_settings', 
		array(
			'label'	      => esc_html__( 'Hide / Show Post Tags', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_single_post',
			'settings'    => 'expert_construction_company_single_post_tags_settings',
			'type'        => 'checkbox'
		) 
	);

	// Related Posts Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'expert_construction_company_show_hide_related_post' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'expert_construction_company_sanitize_checkbox',
			'capability' => 'edit_theme_options',
			'priority' => 2,
		) 
	);
	
	$wp_customize->add_control(
	'expert_construction_company_show_hide_related_post', 
		array(
			'label'	      => esc_html__( 'Hide / Show Related Posts', 'expert-construction-company' ),
			'section'     => 'expert_construction_company_single_post',
			'settings'    => 'expert_construction_company_show_hide_related_post',
			'type'        => 'checkbox'
		) 
	);

	$wp_customize->add_setting( 
    	'expert_construction_company_related_posts_heading',
    	array(
			'default' => 'Related Posts',
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'sanitize_text_field',
			'priority'      => 1,
		)
	);	

	$wp_customize->add_control( 
		'expert_construction_company_related_posts_heading',
		array(
		    'label'   		=> __('Related Post Heading','expert-construction-company'),
		    'section'		=> 'expert_construction_company_single_post',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)
	);

	$wp_customize->add_setting('expert_construction_company_related_post_counts', array(
        'default'           => 3,
        'sanitize_callback' => 'absint',
    ));

    $wp_customize->add_control('expert_construction_company_related_post_counts', array(
        'label'   => __('Number Of Related Posts To Show', 'expert-construction-company'),
        'section' => 'expert_construction_company_single_post',
        'type'    => 'number',
    ));

	$wp_customize->add_setting( 'expert_construction_company_upgrade_page_settings_58',
	array(
		'sanitize_callback' => 'sanitize_text_field'
	)
	);
	$wp_customize->add_control( new Expert_Construction_Company_Control_Upgrade(
		$wp_customize, 'expert_construction_company_upgrade_page_settings_58',
			array(
				'priority'      => 200,
				'section'       => 'expert_construction_company_single_post',
				'settings'      => 'expert_construction_company_upgrade_page_settings_58',
				'label'         => __( 'Expert Construction Company Pro comes with additional features.', 'expert-construction-company' ),
				'choices'       => array( __( '15+ Ready-Made Sections', 'expert-construction-company' ), __( 'One-Click Demo Import', 'expert-construction-company' ), __( 'WooCommerce Integrated', 'expert-construction-company' ), __( 'Drag & Drop Section Reordering', 'expert-construction-company' ),__( 'Advanced Typography Control', 'expert-construction-company' ),__( 'Intuitive Customization Options', 'expert-construction-company' ),__( '24/7 Support', 'expert-construction-company' ), )
			)
		)
	); 
}

add_action( 'customize_register', 'expert_construction_company_post_setting' );